curl "https://api.krownlabs.app/api/users/profile/0xYourAddress"
{
"user": {
"address": "0xc957215773a8b86c8d8bab235451e467caaf944c",
"snsName": "krownlab.s",
"snsTokenId": 24,
"profile": {
"bio": "Your reliable, fast and innovative Sonic-Native Solution.",
"avatarUrl": "https://ipfs.io/ipfs/QmZ81SDfUZuezbWG5iKoeRUFKFAofwvs77xPEpM538V8Fo",
"bannerUrl": "https://marketplace.krownlabs.app/images/banner-placeholder.jpg",
"social": {
"x": "krownlabs",
"instagram": null,
"discord": null,
"github": "krownlabs",
"website": "https://www.krownlabs.app",
"email": null
}
},
"stats": {
"totalNFTsOwned": 0,
"totalCollectionsOwned": 0,
"totalVolumeBought": "0",
"totalVolumeSold": "0"
},
"isPrivate": false,
"isNewUser": false
}
}
Users
Get User Profile
Get public profile information for a user
GET
/
api
/
users
/
profile
/
{identifier}
curl "https://api.krownlabs.app/api/users/profile/0xYourAddress"
{
"user": {
"address": "0xc957215773a8b86c8d8bab235451e467caaf944c",
"snsName": "krownlab.s",
"snsTokenId": 24,
"profile": {
"bio": "Your reliable, fast and innovative Sonic-Native Solution.",
"avatarUrl": "https://ipfs.io/ipfs/QmZ81SDfUZuezbWG5iKoeRUFKFAofwvs77xPEpM538V8Fo",
"bannerUrl": "https://marketplace.krownlabs.app/images/banner-placeholder.jpg",
"social": {
"x": "krownlabs",
"instagram": null,
"discord": null,
"github": "krownlabs",
"website": "https://www.krownlabs.app",
"email": null
}
},
"stats": {
"totalNFTsOwned": 0,
"totalCollectionsOwned": 0,
"totalVolumeBought": "0",
"totalVolumeSold": "0"
},
"isPrivate": false,
"isNewUser": false
}
}
Documentation Index
Fetch the complete documentation index at: https://docs.krownlabs.app/llms.txt
Use this file to discover all available pages before exploring further.
Path Parameters
Wallet address or username/SNS name
Response
User profile object
Show User Object
Show User Object
Wallet address
SNS name (if available)
SNS token ID
Profile information
Show Profile Object
Show Profile Object
User bio/description
Profile avatar URL
Profile banner image URL
Privacy status
Whether the user is new
curl "https://api.krownlabs.app/api/users/profile/0xYourAddress"
{
"user": {
"address": "0xc957215773a8b86c8d8bab235451e467caaf944c",
"snsName": "krownlab.s",
"snsTokenId": 24,
"profile": {
"bio": "Your reliable, fast and innovative Sonic-Native Solution.",
"avatarUrl": "https://ipfs.io/ipfs/QmZ81SDfUZuezbWG5iKoeRUFKFAofwvs77xPEpM538V8Fo",
"bannerUrl": "https://marketplace.krownlabs.app/images/banner-placeholder.jpg",
"social": {
"x": "krownlabs",
"instagram": null,
"discord": null,
"github": "krownlabs",
"website": "https://www.krownlabs.app",
"email": null
}
},
"stats": {
"totalNFTsOwned": 0,
"totalCollectionsOwned": 0,
"totalVolumeBought": "0",
"totalVolumeSold": "0"
},
"isPrivate": false,
"isNewUser": false
}
}
⌘I